O AndroidPIT utiliza cookies para garantir que você tenha a melhor experiência no nosso site. OK
27 Compartilhados 10 Comentários

Android para Iniciantes: Compatibilidade Aplicativos/Dispositivos

Diariamente, no fórum do AndroidPIT, muitos usuários entram em contato com a mesma dúvida: “por que “tal” aplicativo não é compatível com o meu smartphone ou tablet?”. Mesmo que, por razões especiais, alguns aplicativos não sejam suportados, alguns princípios básicos permitem que você evite decepções futuras. Hoje, na seção “Android para Iniciantes”, publico um guia para verificar a compatibilidade de aplicativos com smartphones e tablets no App Center do AndroidPIT e na Google Play Store.

Em primeiro lugar, tenho que salientar que ANTES de comprar qualquer dispositivo que rode com o sistema operacional Android, você deve verificar se ele é compatível com os aplicativos que você deseja utilizar, como Facebook, MSN, Instagram e outros. Mire-se na sua experiênica ao adquirir um sapato, pois precisa saber o tamanho dos sapatos antes de comprá-los, certo? Bem, este deve ser o mesmo pensamento na hora de comprar um dispositivo móvel.

O que fazer quando o aplicativo não é compatível com o dispositivo?

1. Verifique a versão do sistema operacional Android

Para evitar a incompatibilidade de versão, comece por atualizar o seu dispositivo - ou procure saber se existem atualizações do OS Android disponíveis para ele -, acesse Configurações > Sobre o telefone > Atualizações. Muitas pessoas têm problemas com alguns aplicativos porque as versões não são compatíveis. Por exemplo, o aparelho roda com Android 2.1, enquanto as aplicações requerem Android 2.2 ou superior.

Verifique regularmente se existem atualizações, principalmente se você não acompanha notícias sobre tecnologia e está um pouco por fora do universo Android

2. Verifique se a sua conexão com a internet está funcionando

A instalação de aplicativos necessita de uma conexão à internet para funcionar, ou seja, o seu smartphone ou tablet precisa estar conectado a uma rede wi-fi ou 3G para fazer o download do aplicativo. Muitos aplicativos só funcionam com uma conexão ativa, este é o caso do Facebook, por exemplo.

Lembre-se: quando você se conecta à Google Play Store, a loja oferece aplicativos e serviços de acordo com a sua localização.

3. Verifique a descrição do aplicativo

Ler com atenção à descrição do aplicativo, faz com que você cheque informações importantes, como quais os aparelhos suportados por determinados aplicativos. Por vezes, os desenvolvedores indicam os dispositivos nos quais foram capazes de testar o aplicativo ou, ao contrário, nos quais ele não funciona com certeza.

Mesmo que você não entenda inglês, certamente, vai entender uma lista de smartphones

Outra opção para ver se o aplicativo é compatível com seus dispositivos é clicar na seta de +/-, logo abaixo do botão de instalação. Se for incompatível, existem grandes chances da sua versão Android não suportar as necessidades do App:

Se você possui mais de um aparelho cadastrado na Play Store, lembre-se de escolher o dispositivo compatível com o aplicativo que deseja instalar.

Dispositivos com ROMs Personalizadas

Para aqueles que optaram por utilizar uma ROM Personalizada, muitas vezes, o fato da não estabilidade da ROM faz com que utilizar alguns aplicativos não seja possível. Outro problema pode estar ligado à instalação da mesma, por isso, aconselho uma limpeza de dados antes de flashear uma ROM, assim, evita problemas do gênero.

Conclusão

Ao comprar um smartphone ou tablet, verifique a compatibilidade do aparelho com o Google Play Store, especialmente, se o tablet vier de fontes escusas (xing-ling), pois são tablets de nível de entrada e possuem um monte de problemas de compatibilidade. Observe também que, se você comprou por erro um aplicativo incompatível com o seu dispositivo, você possui um tempo determinado para devolvê-lo:

Assim, é melhor verificar a compatibilidade antes de comprar um aplicativo, certo?

Imagens: Google Play Store/ CKR AndroidPIT

 

10 Comentários

Escreva um comentário:
  • meu celular e um motosmart xt389 não consigo instalar o temple run e outros jogos do tipo sendo q o jogo necesita do android 2.2 pra cima e meu android e 2.3 c poder me ajudar fico grato

  • Detalhe: meu micro SD é de 8GB.

  • Deve ser, Jefferson. Nós somos reféns dos cartéis internacionais de telefonia que "acertam" com as operadoras de telefonia celular par não havilitarem os XL na internet. Vc tem que achar um cara que instlale os APNs e ponha a internet prá rodar. Acho uma imbecilidade, isso porque quem ganha com isso são so fabricantes de celular NOkia, Motorola, LG e outros. As operadoras TIM. Oi etc , PERDEM UM BELO FATURAMENTO com gente que compra XL. Veja só a canalhice das fabricantes...Enquanto os chineses já estão colocando no mercado aparelhos com até 4 chips (bons ou não), e a preços acessíveis, os espertinhos aí de cima venem os top de linha deles com UM SÓ CHIP cobrando os tubos! HJ A MAIORIA DA PESSOAS QUER TER UM APARELHO QUE USE , PELO MENOS, DOIS CHIPS. É, neese Brasil, o consumidor só serve prá boi de piranha!

  • 60

    @Antonio Moreira, deve ser problema de memória do aparelho que está pouca , ou na tua conecção mesmo de internet, os XL não são muito bom pra internet, e as operadoras derrubam por gosto muitas vezes a tua conecção.

  • Agora mesmo tentei atualizar o AndroiPit e o celular deu a mensagem que citei.Abri o AndroidPit mas não consegui atualizar. O mesmo ocorre com as atualizações do cel.

  • Olá. Tenho um xing-ling como vc falou. Instlaei o Google Play no dito cujo só que é uma loteria conseguir baixar algum programa. Algumas vezes aparece a informação de que o programa é compativel com o meu celular. Mas, às vezes, qdo tento baixar uma atualização ou um programa, aparece uma meg dizendo :" O aplicativo Google Play(processo com.android.vending) parou inesperadamente. Tente de novo." E aí já era baixar o que eu queria. Como arrumar isso? Qdo estou na loja do G.P e quero baixar um programa, aparece uma mesg se não é compatível.

  • 60

    @rafael, talvez seja o teu processador que o jogo não suporte, em caso de jogos, alem de tudo isso que ja foi citado pela camila, faltou citar que os jogos são feitos especificos para os processadores, arm5, arm6,arm7, e ai por diante, além daqueles que exigem uma gpu mais forte que a adreno200 que é o do galaxy y, quando eu tinha o meu galaxy fit, muitos jogos não eram compativeis por causa do processador que era 600mhz, e quando eu usava o overclock para 806mhz, abria varios jogos que antes não era compativel, ótimo post camila, só faltou esse item.

  • Mas porque no jogo Temple Run fala que precisa de android 2.1 ou superior e eu vou baixar no meu galaxy y com android 2.3 não instala ?

  • Não consigo baixar nada do Google Play no meu aparelho, porque ele não é compatível, por isso faço tudo com o App Center :D Muito boa a matéria!!

  • 28

    Maravilha!
    O link desta matéria vai ajudar muito no Fórum.

    Obrigado.

O AndroidPIT utiliza cookies para garantir que você tenha a melhor experiência no nosso site. Mais informações

Entendi